Get account
curl --request GET \
--url https://api.prod.finverse.net/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"account_currency": "HKD",
"account_id": "01EY2DHX40KC1BXA86GVSR7SQH",
"account_name": "HKD Statement Savings",
"account_number_masked": "111XXXXXXX-666",
"account_type": {
"subtype": "SAVINGS",
"type": "DEPOSIT"
},
"balance": {
"currency": "HKD",
"raw": "19,806.58",
"value": 19806.58
},
"created_at": "2021-02-09T03:32:26.000Z",
"group_id": "760774838dfbe0b154cb09425559e19bd91aecf600cd801a32d9b46e17055d92",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "19,806.58",
"value": 19806.58
},
"updated_at": "2021-02-09T03:32:32.000Z"
},
"institution": {
"countries": [
"HKG",
"SGP",
"PHL"
],
"institution_id": "testbank",
"institution_name": "TestBank HK",
"portal_name": "Test Bank Personal Account"
},
"login_identity": {
"login_identity_id": "01EY2DHD5THTP57GV9M4YVYX1Q",
"status": "DATA_RETRIEVAL_COMPLETE"
}
}{
"error": {
"code": 40004,
"error_code": "ACCOUNT_NOT_FOUND",
"message": "account_id cannot be found. Resource does not exist, has been deleted, or is no longer accessible.",
"request_id": "{unique_id}",
"type": "API_ERROR"
}
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}Accounts
Get account
Retrieve a specific Account under a Login Identity (using a specific account_id).
Authorization: login_identity_token
account
A single account object, containing account-level balances & metadata.
Refer to accounts data model in GET /accounts.
GET
/
accounts
/
{accountId}
Get account
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The account id